Bug 188694 - beagle leaves lots of zombie rpmq processes
beagle leaves lots of zombie rpmq processes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 04:08 EDT by Jon Burgess
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 05:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix leak (348 bytes, patch)
2006-04-12 16:03 EDT, Jon Burgess
no flags Details | Diff

  None (edit)
Description Jon Burgess 2006-04-12 04:08:45 EDT
Description of problem:
Installed the FC5 updates-testing version of beagle about 12 hours ago.
Now I look at the process listing I see there are 94 zombie rpmq child processes
with beagled-helper as parent. 

Version-Release number of selected component (if applicable):
beagle-0.2.4-1.fc5.1

How reproducible:
Happened over the first 12 hours after install.

Steps to Reproduce:
1. Install beagle and start index running
2.
3.
  
Actual results:
$ ps -ef
...
jburgess  4419  4322 27 00:21 pts/0    02:12:08 beagled-helper --debug
/usr/lib64/beagle/In
jburgess  6281  4419  0 00:36 pts/0    00:00:00 [rpmq] <defunct>
jburgess  6283  4419  0 00:36 pts/0    00:00:00 [rpmq] <defunct>
jburgess  6284  4419  0 00:36 pts/0    00:00:00 [rpmq] <defunct>
jburgess  6285  4419  0 00:36 pts/0    00:00:00 [rpmq] <defunct>
jburgess  6286  4419  0 00:36 pts/0    00:00:00 [rpmq] <defunct>
jburgess  6287  4419  0 00:36 pts/0    00:00:00 [rpmq] <defunct>
...
$ ps -ef | grep -c rpmq
94

Expected results:
No zombie processes

Additional info:
Comment 1 Jon Burgess 2006-04-12 16:03:19 EDT
Created attachment 127670 [details]
Patch to fix leak

I took a quick look at the source of the RPM filter and compared it to some of
the others to develop the patch attached. I recompiled beagle and ran it for an
hour and it appears to be indexing RPMs without leaving any zombie processes
now. This is the first time that i've looked at the beagle source so be careful
that i've not broken anything.
Comment 2 Jon Burgess 2006-04-12 16:59:34 EDT
I raised a bug upstream too and included this patch.
Comment 3 Jon Burgess 2006-04-12 17:13:53 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=338266

For some reason I just got an internal bugzilla error when I tried to add this
as an external BZ reference.
Comment 4 Fedora Update System 2006-04-21 10:42:50 EDT
beagle-0.2.5-1.fc5.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.